Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 767901 - dev-haskell/zlib-0.5.4.2:0/0.5.4.2::gentoo fails to compile
Summary: dev-haskell/zlib-0.5.4.2:0/0.5.4.2::gentoo fails to compile
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Haskell Language team
URL: https://github.com/haskell/zlib/commi...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-29 23:52 UTC by John Dough
Modified: 2021-01-31 08:44 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
=dev-haskell/zlib-0.5.4.2::gentoo build log (build.log,5.69 KB, text/plain)
2021-01-30 22:42 UTC, John Dough
Details
Emerge --info (emerge info.txt,6.06 KB, text/plain)
2021-01-30 22:46 UTC, John Dough
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Dough 2021-01-29 23:52:33 UTC
zlib fails to compile here is the console output

* Fetching files in the background.
 * To view fetch progress, run in another terminal:
 * tail -f /var/log/emerge-fetch.log
 * zlib-0.5.4.2.tar.gz BLAKE2B SHA512 size ;-) ...                                                                                         [ ok ]
>>> Unpacking source...
>>> Unpacking zlib-0.5.4.2.tar.gz to /var/tmp/portage/dev-haskell/zlib-0.5.4.2/work
>>> Source unpacked in /var/tmp/portage/dev-haskell/zlib-0.5.4.2/work
>>> Preparing source in /var/tmp/portage/dev-haskell/zlib-0.5.4.2/work/zlib-0.5.4.2 ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-haskell/zlib-0.5.4.2/work/zlib-0.5.4.2 ...
 * Using cabal-3.0.1.0.
 * Prepending /usr/lib64/ghc-8.8.4 to LD_LIBRARY_PATH
/usr/bin/ghc -package Cabal-3.0.1.0 --make /var/tmp/portage/dev-haskell/zlib-0.5.4.2/work/zlib-0.5.4.2/Setup.hs -j6 +RTS -A256M -qb0 -RTS -threaded -dynamic -o setup
[1 of 1] Compiling Main             ( /var/tmp/portage/dev-haskell/zlib-0.5.4.2/work/zlib-0.5.4.2/Setup.hs, /var/tmp/portage/dev-haskell/zlib-0.5.4.2/work/zlib-0.5.4.2/Setup.o )
Linking setup ...
./setup configure --ghc --prefix=/usr --with-compiler=/usr/bin/ghc --with-hc-pkg=/usr/bin/ghc-pkg --prefix=/usr --libdir=/usr/lib64 --libsubdir=zlib-0.5.4.2/ghc-8.8.4 --datadir=/usr/share/ --datasubdir=zlib-0.5.4.2/ghc-8.8.4 --ghc-options=-j6 +RTS -A256M -qb0 -RTS --with-ar=x86_64-pc-linux-gnu-ar --ghc-option=-optc-march=native --ghc-option=-optc-O2 --ghc-option=-optc-pipe --ghc-option=-optc-fomit-frame-pointer --ghc-option=-optl-Wl,-O1 --ghc-option=-optl-Wl,--as-needed --disable-executable-stripping --docdir=/usr/share/doc/zlib-0.5.4.2 --verbose --enable-shared --enable-executable-dynamic --sysconfdir=/etc --disable-library-stripping
Using Parsec parser
Configuring zlib-0.5.4.2...
Dependency base >=3 && <5: using base-4.13.0.0
Dependency bytestring >=0.9 && <0.12: using bytestring-0.10.10.1
Source component graph: component lib
Configured component graph:
    component zlib-0.5.4.2-KnUCJPSxeyNKjKGQAB6IyF
        include base-4.13.0.0
        include bytestring-0.10.10.1
Linked component graph:
    unit zlib-0.5.4.2-KnUCJPSxeyNKjKGQAB6IyF
        include base-4.13.0.0
        include bytestring-0.10.10.1
        Codec.Compression.GZip=zlib-0.5.4.2-KnUCJPSxeyNKjKGQAB6IyF:Codec.Compression.GZip,Codec.Compression.Zlib=zlib-0.5.4.2-KnUCJPSxeyNKjKGQAB6IyF:Codec.Compression.Zlib,Codec.Compression.Zlib.Internal=zlib-0.5.4.2-KnUCJPSxeyNKjKGQAB6IyF:Codec.Compression.Zlib.Internal,Codec.Compression.Zlib.Raw=zlib-0.5.4.2-KnUCJPSxeyNKjKGQAB6IyF:Codec.Compression.Zlib.Raw
Ready component graph:
    definite zlib-0.5.4.2-KnUCJPSxeyNKjKGQAB6IyF
        depends base-4.13.0.0
        depends bytestring-0.10.10.1
Using Cabal-3.0.1.0 compiled by ghc-8.8
Using compiler: ghc-8.8.4
Using install prefix: /usr
Executables installed in: /usr/bin
Libraries installed in: /usr/lib64/zlib-0.5.4.2/ghc-8.8.4
Dynamic Libraries installed in: /usr/lib64/x86_64-linux-ghc-8.8.4
Private executables installed in:
/usr/libexec/x86_64-linux-ghc-8.8.4/zlib-0.5.4.2
Data files installed in: /usr/share/zlib-0.5.4.2/ghc-8.8.4
Documentation installed in: /usr/share/doc/zlib-0.5.4.2
Configuration files installed in: /etc
No alex found
Using ar given by user at: /usr/bin/x86_64-pc-linux-gnu-ar
No c2hs found
No cpphs found
No doctest found
Using gcc version 9.3.0 found on system at: /usr/bin/x86_64-pc-linux-gnu-gcc
Using ghc version 8.8.4 given by user at: /usr/bin/ghc
Using ghc-pkg version 8.8.4 given by user at: /usr/bin/ghc-pkg
No ghcjs found
No ghcjs-pkg found
No greencard found
Using haddock version 2.23.0 found on system at: /usr/bin/haddock-ghc-8.8.4
No happy found
Using haskell-suite found on system at: haskell-suite-dummy-location
Using haskell-suite-pkg found on system at: haskell-suite-pkg-dummy-location
No hmake found
Using hpc version 0.67 found on system at: /usr/bin/hpc
Using hsc2hs version 0.68.7 found on system at: /usr/bin/hsc2hs
No hscolour found
No jhc found
Using ld found on system at: /usr/bin/x86_64-pc-linux-gnu-ld
Using pkg-config version 0.29.2 found on system at: /usr/bin/pkg-config
Using runghc version 8.8.4 found on system at: /usr/bin/runghc
Using strip version 2.34 found on system at: /usr/bin/strip
Using tar found on system at: /bin/tar
No uhc found
>>> Source configured.
>>> Compiling source in /var/tmp/portage/dev-haskell/zlib-0.5.4.2/work/zlib-0.5.4.2 ...
./setup build
Preprocessing library for zlib-0.5.4.2..
Building library for zlib-0.5.4.2..
[1 of 5] Compiling Codec.Compression.Zlib.Stream ( dist/build/Codec/Compression/Zlib/Stream.hs, dist/build/Codec/Compression/Zlib/Stream.o )

Codec/Compression/Zlib/Stream.hsc:318:3: error:
    ‘fail’ is not a (visible) method of class ‘Monad’
    |
318 |   fail   = (finalise >>) . failZ
    |   ^^^^
 * ERROR: dev-haskell/zlib-0.5.4.2::gentoo failed (compile phase):
 *   setup build failed
 * 
 * Call stack:
 *     ebuild.sh, line  125:  Called src_compile
 *   environment, line 1907:  Called haskell-cabal_src_compile
 *   environment, line 1501:  Called cabal_src_compile
 *   environment, line  662:  Called cabal-build
 *   environment, line  420:  Called die
 * The specific snippet of code:
 *       ./setup "$@" || die "setup build failed"
 * 
 * If you need support, post the output of `emerge --info '=dev-haskell/zlib-0.5.4.2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-haskell/zlib-0.5.4.2::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-haskell/zlib-0.5.4.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-haskell/zlib-0.5.4.2/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-haskell/zlib-0.5.4.2/work/zlib-0.5.4.2'
 * S: '/var/tmp/portage/dev-haskell/zlib-0.5.4.2/work/zlib-0.5.4.2'

>>> Failed to emerge dev-haskell/zlib-0.5.4.2, Log file:
Comment 1 Sam James archtester gentoo-dev Security 2021-01-29 23:58:18 UTC
Please attach the build.log and emerge --info.
Comment 2 Sergei Trofimovich (RETIRED) gentoo-dev 2021-01-30 07:29:22 UTC
Do you know why resolver pulls in outdated dev-haskell/zlib-0.5 (instead of 0.6) for you?
Comment 3 Sergei Trofimovich (RETIRED) gentoo-dev 2021-01-30 07:31:25 UTC
0.6 fixed it upstream as https://github.com/haskell/zlib/commit/71f71a517755fd63978da50e21d1d340357ca910
Comment 4 John Dough 2021-01-30 22:42:59 UTC
Created attachment 685227 [details]
=dev-haskell/zlib-0.5.4.2::gentoo build log

dev-haskell/zlib-0.5.4.2::gentoo build.log
Comment 5 John Dough 2021-01-30 22:46:05 UTC
Created attachment 685230 [details]
Emerge --info

emerge --info
Comment 6 John Dough 2021-01-30 22:54:47 UTC
(In reply to Sergei Trofimovich from comment #2)
> Do you know why resolver pulls in outdated dev-haskell/zlib-0.5 (instead of
> 0.6) for you?

I unmasked the necessary dependencies for sci-mathematics/rstudio. Apparently all stable versions of rstudio were removed from portage due to dependence on app-text/pandoc which is dependant on haskhell.


I submitted a bug in regard to this.
https://bugs.gentoo.org/show_bug.cgi?id=767721.

It was suggested to me to submit a bug for the offending package that is blocking me from installing rstudio.
Comment 7 Sergei Trofimovich (RETIRED) gentoo-dev 2021-01-31 08:44:26 UTC
(In reply to John Dough from comment #6)
> (In reply to Sergei Trofimovich from comment #2)
> > Do you know why resolver pulls in outdated dev-haskell/zlib-0.5 (instead of
> > 0.6) for you?
> 
> I unmasked the necessary dependencies for sci-mathematics/rstudio.
> Apparently all stable versions of rstudio were removed from portage due to
> dependence on app-text/pandoc which is dependant on haskhell.

How exactly you did the keywording? That does not explain why outdated packages are pulled in for you.

> I submitted a bug in regard to this.
> https://bugs.gentoo.org/show_bug.cgi?id=767721.
> 
> It was suggested to me to submit a bug for the offending package that is
> blocking me from installing rstudio.

Nothing in the ::gentoo tree pulls outdated dev-haskell/zlib. You might need to update your @world. Unless you specifically keyworded outdated zlib.

To ease haskell keywording you would need all of haskell (and a few outside packages) into ~arch. My suggestion would be to start from something like:
  package.accept.keywords:
    dev-lang/ghc
    dev-haskell/*